API Reference
Accounts
7 endpoints· Auth: JWT or API Key
get
/api/v1/console/accounting/accounts JWT API KeyGet accounts
Query parameters
| Type string | — |
| Active boolean | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/accounting/accounts JWT API KeyCreate accounts
Request body
application/json
{
"code": "string",
"name": "string",
"nameAr": "string",
"type": "string",
"parentCode": "string"
}| code string | — |
| name string | — |
| nameAr string | — |
| type string | — |
| parentCode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"code": "string",
"name": "string",
"nameAr": "string",
"type": "string",
"parentCode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/accounting/accounts/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/accounting/accounts/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"nameAr": "string",
"parentCode": "string"
}| name string | — |
| nameAr string | — |
| parentCode string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"nameAr": "string",
"parentCode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/accounting/accounts/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/accounting/accounts/{id}/active JWT API KeyCreate active
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"active": false,
"reason": "string"
}| active boolean | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts/{id}/active" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"active": false,
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/accounting/accounts/seed JWT API KeyCreate seed
Request body
application/json
{
"dryRun": false
}| dryRun boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/accounts/seed" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"dryRun": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu